# -*- mode: python ; coding: utf-8 -*-


a = Analysis(
    ['main.py'],
    pathex=[],
    binaries=[],
    datas=[('RenderPipelineFile', 'RenderPipelineFile'), ('QMeta3D', 'QMeta3D'), ('core', 'core'), ('gui', 'gui'), ('ui', 'ui'), ('scene', 'scene'), ('project', 'project'), ('demo', 'demo'), ('plugins', 'plugins'), ('scripts', 'scripts')],
    hiddenimports=['PyQt5.sip', 'panda3d.core'],
    hookspath=[],
    hooksconfig={},
    runtime_hooks=[],
    excludes=['pyassimp'],
    noarchive=False,
    optimize=0,
)
pyz = PYZ(a.pure)

exe = EXE(
    pyz,
    a.scripts,
    [],
    exclude_binaries=True,
    name='EG_Engine',
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    console=False,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)
coll = COLLECT(
    exe,
    a.binaries,
    a.datas,
    strip=False,
    upx=True,
    upx_exclude=[],
    name='EG_Engine',
)
